EXIT(3)

NAME
exit - cause normal program termination

SYNOPSIS
#include <stdlib.h>

void exit(int status);

DESCRIPTION
The exit() function causes normal program termination and the value of status is returned to the parent. All functions registered with atexit() and on_exit() are called in the reverse order of their registration, and all open streams are flushed and closed.

RETURN VALUE
The exit() function does not return.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
_exit(2), atexit(3), on_exit(3)